Oracle Solaris Pango “pango_ft2_font_render_box_glyph()” puffer túlcsordulási sérülékenység

CH azonosító

CH-5572

Angol cím

Oracle Solaris Pango "pango_ft2_font_render_box_glyph()" Buffer Overflow Vulnerability

Felfedezés dátuma

2011.09.18.

Súlyosság

Közepes

Érintett rendszerek

Oracle
Solaris

Érintett verziók

Oracle Solaris 11 Express

Összefoglaló

Az Oracle Solaris-ban található Pango egy olyan sérülékenységét jelentették, amelyet a támadók kihasználva szolgáltatás megtagadást (DoS – Denial of Service) idézhetnek elő vagy feltörhetik a könyvtárat használó alkalmazást.

Leírás

A sérülékenységet a pango/pangoft2-render.c-ben található “pango_ft2_font_render_box_glyph()” függvény határhibája okozza. Ez kihasználható halom alapú puffer túlcsordulás előidézésére, ha például egy alkalmazás a könyvtár használata során egy speciálisan megszerkesztett betűtípust jelenít meg Pango’s FreeType2 backend segítségével.

A sérülékenységet az 1.28.3 verzióban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Telepítse a javítócsomagokat